%define perlversion 5.10.0
%define	perlepoch	3
%define perlname Geo-METAR

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Process Aviation Weather (METAR) Data.
Name:		perl-%{perlname}
Version:	1.14
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=%{perlname}
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Process Aviation Weather (METAR) Data

For more details see: http://search.cpan.org/search?module=%{perlname}

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{perlname}-%{version}

%build
perl Makefile.PL /usr
make

%install
rm -Rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT 
# removing unwanted stuff
if [ -f "$RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux-thread-multi/perllocal.pod" ]; then
rm -f $RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux-thread-multi/perllocal.pod
fi
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.14-1
- Initial Release
